"Downgrading sdcc will work. But I would recommend upgrading gputils instead."

Absolutely. There have been a lot of bug fixes and improvements for PIC port since 2.9.0.


On Mon, Nov 12, 2012 at 11:58 AM, Philipp Klaus Krause <pkk@spth.de> wrote:
On 12.11.2012 11:54, Soloviov Dmitry wrote:
> Thank you!
>
> Well, I've just tested SDCC 2.9 with gplink 0.13.7. It's compiled just fine!
>
> There's output log:
> at 1: warning 117: unknown compiler option '--use-non-free' ignored
> message: using default linker script "/usr/share/gputils/lkr/18f1220.lkr"
> + "/usr/bin/sdcpp" -nostdinc -Wall -Dpic18f1220 -D__18f1220 -DSTACK_MODEL_SMALL -obj-ext=.o -DSDCC_MODEL_SMALL -DSDCC=290 -DSDCC_REVISION=5416 -DSDCC_pic16 -D__pic16 -isystem "/usr/bin/../share/sdcc/include/pic16" -isystem "/usr/share/sdcc/include/pic16" -isystem "/usr/bin/../share/sdcc/include" -isystem "/usr/share/sdcc/include"  "test.c"
> + "/usr/bin/gpasm" -DSDCC_MODEL_SMALL -DSTACK_MODEL_SMALL -c "test.asm" -o "test.o"
> + "/usr/bin/gplink" -I"/usr/bin/../share/sdcc/lib/pic16" -I"/usr/share/sdcc/lib/pic16" -I"/usr/bin/../share/sdcc/lib" -I"/usr/share/sdcc/lib"   -w -r -o test test.o  crt0i.o libdev18f1220.lib libsdcc.lib
>
> No problem with compiling.
> Is that means I need to downgrade from 3.2.1 to 2.9.0 ?

Downgrading sdcc will work. But I would recommend upgrading gputils instead.

Philipp

------------------------------------------------------------------------------
Everyone hates slow websites. So do we.
Make your web apps faster with AppDynamics
Download AppDynamics Lite for free today:
http://p.sf.net/sfu/appdyn_d2d_nov
_______________________________________________
Sdcc-user mailing list
Sdcc-user@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/sdcc-user